Issue 44060 - query wizard: field list box too small, full qualified names need scrolling to see the field names
Summary: query wizard: field list box too small, full qualified names need scrolling t...
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: 680m80
Hardware: All All
: P4 Trivial (vote)
Target Milestone: OOo 2.0.4
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2005-03-04 12:17 UTC by Frank Schönheit
Modified: 2006-08-23 14:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2005-03-04 12:17:06 UTC
In the query auto pilot, the field list box shows full qualified field names.
That is, for a database which supports catalogs and schemas (e.g. MS SQL
Server), the entries in the field list are
  <catalog>.<schema>.<table>.<field1>
  <catalog>.<schema>.<table>.<field2>
  ...

The list box is way too small for this, since the interesting information - the
field name - is often right outside the list, which forces the user to scroll
permanently.

Suggestion: Only show the field names in this list, not the fully qualified name.

On the right hand side listbox, the pure field name would not be sufficient
(since there fields from different tables can be displayed). So I suggest to
either use full qualified names on the right side only, or shorten names on the
right side, for instance
  field1 (<catalog>.<schema>.<table1>)
  field2 (<catalog>.<schema>.<table2>)
  field3 (<catalog>.<schema>.<table2>)
Comment 1 Frank Schönheit 2005-03-04 12:22:02 UTC
this is a usability issue (->keyword)
Comment 2 berend.cornelius 2006-05-19 12:53:30 UTC
.
Comment 3 berend.cornelius 2006-06-23 14:33:33 UTC
bc: Fixed in cws dbwizardpp4
Comment 4 berend.cornelius 2006-06-30 10:23:03 UTC
.
Comment 5 marc.neumann 2006-07-04 12:12:52 UTC
Now the listbox is a little bit bigger and in the left listbox only the
fieldnames without the table/schema name.
verified in cws dbwizardpp4

You can found more information about this CWS in the EIS tool at
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdbwizardpp4
Comment 6 marc.neumann 2006-08-23 14:03:16 UTC
Hi,

this is fixed in the current master. The current master is available at
http://download.openoffice.org/680/index.html

I close this issue now.

Bye Marc